com.smartgwt.client.types

## Enum ClickMaskMode

- java.lang.Object
- - java.lang.Enum<ClickMaskMode>
  - - com.smartgwt.client.types.ClickMaskMode

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<ClickMaskMode>

      public enum ClickMaskMode
      extends java.lang.Enum<ClickMaskMode>
      implements ValueEnum

  Passed as a parameter to `Canvas.showClickMask()` to determine the masks behavior when clicked.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `HARD` When the mask receives a click, it will fire its click action, and cancel the event, leaving the clickMask up.
    `SOFT` When the mask receives a click, it will fire its click action, then dismiss the clickMask and allow the event to proceed to its target.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static ClickMaskMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ClickMaskMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### HARD

          public static final ClickMaskMode HARD

      When the mask receives a click, it will fire its click action, and cancel the event, leaving the clickMask up.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "hard".

    - #### SOFT

          public static final ClickMaskMode SOFT

      When the mask receives a click, it will fire its click action, then dismiss the clickMask and allow the event to proceed to its target.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "soft".

  - ### Method Detail

    - #### values

          public static ClickMaskMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ClickMaskMode c : ClickMaskMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ClickMaskMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`